MARTe2-core - User story #184

Smart pointer base infrastructure
31.07.2015 15:42 - André Neto

Status: Closed Start date: 11.08.2015
Priority: Normal Due date:
Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.3 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Refactor the original MARTe smart pointer infrastructure (aka GCReference).
This would satisfy requirements:

* MARTe-EX-F-2.1.1: The framework shall offer developers a smart pointer infrastructure..
e MARTe-EX-F-2.1.3: The framework shall offer to developers the possibility of getting a reference to any object instantiated by
the framework.

Source code files modified

Source/Core/L0Portability/Heap.cpp
Source/Core/L0Portability/Heap.h
Source/Core/L10bjects/ClassProperties.cpp
Source/Core/L10bjects/ClassProperties.h
Source/Core/L10bjects/ClassRegistryDatabase.cpp
Source/Core/L10bjects/ClassRegistryDatabase.h
Source/Core/L10bjects/ClassRegistryltem.cpp
Source/Core/L10bjects/ClassRegistryltem.h
Source/Core/L10bjects/Introspection.h
Source/Core/L10bjects/lterator.h
Source/Core/L10bjects/lteratorT.h
Source/Core/L10bjects/LinkedListable.cpp
Source/Core/L10bjects/LinkedListable.h
Source/Core/L10bjects/LinkedListHolder.cpp
Source/Core/L10bjects/LinkedListHolder.h
Source/Core/L10bjects/Object.cpp
Source/Core/L10bjects/Object.h
Source/Core/L10bjects/Reference.cpp
Source/Core/L10bjects/Reference.h
Source/Core/L10bjects/ReferenceT.cpp
Source/Core/L10bjects/ReferenceT.h
Source/Core/L10bjects/SearchFilter.h
Source/Core/L10bjects/SearchFilterT.h
Source/Core/L10bjects/SortFilter.h
Source/Core/L10bjects/SortFilterT.h
Source/Core/L10bjects/StructuredData.h

Architecture & design review
Date of the review: 31/07/2015
Person who did the review: Andre' Neto

Version of architecture & design document: No design document was produced but this was thoroughly discussed in several
meetings and reported in #191. This should be captured in EA (see #192).

Result of review: N/A
https://vcis-redmine.f4e.europa.eu/issues/191
https://vcis-redmine.f4e.europa.eu/issues/192

List of non-conformities: N/A

Code and documentation review

Date of the review: 12/08/2015
Person who did the review: Riccardo Vitelli
Result of review: PASS (with LINT)
List of non-conformities:
e MARTe2-dev/Source/Core/L10bjects/Object.cpp:95:29: Warning 1502: defined object 'ObjectHeap_' of type 'Heap' has no

nonstatic data members
(accepted as the Heap interface is not yet complete)

Unit test review

Date of the review: 20/08/2015

Person who did the review: Andre' Neto
Result of coverage tests review: PASS
Result of functional tests review: PASS
Result of review: PASS

List of non-conformities:

Notes:
The following are to be left for a later sprint when introspection, configuration and DLL support will be available:

void Object::GetIntrospectionCopy

bool Reference::Initialise

bool ReferenceT<T>::Initialise

ClassRegistryltem *ClassRegistryDatabase::Find does not test the case with a DLL

The following are private and cannot be tested:

¢ ClassRegistryltem::ClassRegistryltem()
¢ Object *Object::Clone() const
¢ ReferenceT<T>* ReferenceT<T>::operator&()

Subtasks:
Meeting # 192: Describe the Object implementation in EA Closed

Associated revisions

Revision de0444d7 - 05.08.2015 00:01 - André Neto
Work in progress for #184.

Revision 8bc819af - 06.08.2015 17:18 - André Neto

Merge remote-tracking branch
'origin/#184_Smart_Pointer_Base_Infrastructure' into
#184_Smart_Pointer_Base_Infrastructure

Conflicts:
Source/Core/L10bjects/Object.h

Revision 1016c9db - 06.08.2015 17:20 - André Neto

Finished implementation of the ClassRegistryDatabase infrastructure #184

Revision 46036abc - 06.08.2015 17:53 - André Neto

Merge branch '#184_Smart_Pointer_Base_Infrastructure' of
https://vcis-gitlab.f4e.europa.eu/aneto/MARTe2.git into
#184 _Smart_Pointer_Base_Infrastructure

Conflicts:
Source/Core/L10bjects/LinkedListable.h
Source/Core/L10bjects/Makefile.inc
Test/Core/L10bjects/Makefile.inc
Test/Core/L10bjects/Makefile.linux
Test/GTest/Makefile.linux

Revision 4e8edcd4 - 06.08.2015 20:04 - André Neto

Merge branch '#184_Smart_Pointer_Base_Infrastructure' of
https://vcis-gitlab.f4e.europa.eu/aneto/MARTe2.git into
#184 _Smart_Pointer_Base_Infrastructure

Conflicts:
Source/Core/L10bjects/LinkedListHolder.h
Source/Core/L10bjects/Makefile.inc

Revision 0c9766ba - 06.08.2015 20:06 - André Neto

Working but not ready for code review #184.

Documentation still to be improved.

Revision 097d46bd - 07.08.2015 12:26 - Giuseppe Ferro

List of changes:

-Lint of LinkedListHolder
-Test of LinkedListHolder
#184

Revision 7¢4329b2 - 07.08.2015 12:46 - Giuseppe Ferro

Merge branch '#184_Smart_Pointer_Base_Infrastructure' of https://vcis-gitlab.f4e.europa.eu/aneto/MARTe2.git into
#184_Smart_Pointer_Base_Infrastructure

Revision 632f554a - 07.08.2015 15:34 - André Neto

Linting missing to terminate #184.

Revision 5d183e89 - 07.08.2015 17:18 - Filippo Sartori

Merge branch '#184_Smart_Pointer_Base_Infrastructure' of https:/fsartori@vcis-gitlab.f4e.europa.eu/aneto/MARTe2.git into
#184_Smart_Pointer_Base_Infrastructure

Revision ¢9102092 - 07.08.2015 18:19 - Giuseppe Ferro

WIP Tests.
#184

Revision 14dd52e2 - 07.08.2015 18:23 - Giuseppe Ferro

Merge branch '#184_Smart_Pointer_Base_Infrastructure' of https://vcis-gitlab.f4e.europa.eu/aneto/MARTe2.git into
#184_Smart_Pointer_Base_Infrastructure

Revision 5f29690d - 09.08.2015 17:34 - André Neto
Finished the linting of #184.

Revision 05bc2b98 - 10.08.2015 10:12 - Giuseppe Ferro

Merge branch '#184_Smart_Pointer_Base_Infrastructure' of https://vcis-gitlab.f4e.europa.eu/aneto/MARTe2.git into
#184_Smart_Pointer_Base_Infrastructure

Revision 9702398a - 10.08.2015 12:35 - Filippo Sartori

Merge branch '#184_Smart_Pointer_Base_Infrastructure' of https:/fsartori@vcis-gitlab.f4e.europa.eu/aneto/MARTe2.git into
#184 _Smart_Pointer_Base_Infrastructure

Revision 25¢21¢55 - 10.08.2015 13:29 - Giuseppe Ferro

List of changes.
-Added Reference tests.
User story: #184

Revision bdb9c0b9 - 10.08.2015 15:54 - Filippo Sartori

Merge branch '#184_Smart_Pointer_Base_Infrastructure' of https:/fsartori@vcis-gitlab.f4e.europa.eu/aneto/MARTe2.qit into
#184 _Smart_Pointer_Base_Infrastructure

Revision 436da978 - 10.08.2015 15:59 - André Neto

Merge remote-tracking branch
'origin/#184_Smart_Pointer_Base_Infrastructure' into
#184_Smart_Pointer_Base_Infrastructure

Conflicts:
Source/Core/L10bjects/Reference.cpp

Revision 61232698 - 10.08.2015 18:37 - André Neto
Lint of #184 finished. Still checking quality of the documentation.

Revision 2cee8d58 - 11.08.2015 09:34 - André Neto

Finished linting and documentation of #184. Ready for review.

Revision 7fdd30bf - 11.08.2015 12:28 - André Neto
Moved CreateByName to Reference. #184.

Revision a5801f31 - 11.08.2015 14:30 - Giuseppe Ferro

List of changes:
-Reference and ReferenceT tests done.
-Fixed other tests accordingly with refactoring.

#184

Revision ¢799de20 - 11.08.2015 15:52 - André Neto

Removed the global functions for sorting, iterating and searching #184.

Revision d441fe3e - 11.08.2015 15:52 - André Neto

Merge branch '#184_Smart_Pointer_Base_Infrastructure' of https://vcis-gitlab.f4e.europa.eu/aneto/MARTe2.git into
#184_Smart_Pointer_Base_Infrastructure

Revision 7cf6f6e2 - 12.08.2015 10:09 - Filippo Sartori

Merge branch '#184_Smart_Pointer_Base_Infrastructure' of
https://fsartori@vcis-gitlab.f4e.europa.eu/aneto/MARTe2.qit into
#184 Smart_Pointer_Base_|Infrastructure

Conflicts:
Source/Core/L10bjects/ClassRegistryltem.h

Revision 91617880 - 12.08.2015 10:09 - Filippo Sartori

Merge branch '#184_Smart_Pointer_Base_Infrastructure' of https:/fsartori@vcis-gitlab.f4e.europa.eu/aneto/MARTe2.git into
#184_Smart_Pointer_Base_Infrastructure

Revision 38414163 - 12.08.2015 11:34 - Giuseppe Ferro

Merge branch '#184_Smart_Pointer_Base_Infrastructure' of https://vcis-gitlab.f4e.europa.eu/aneto/MARTe2.git into
#184_Smart_Pointer_Base_Infrastructure

Revision d3e362ed - 12.08.2015 11:47 - Filippo Sartori

Merge branch '#184_Smart_Pointer_Base_Infrastructure' of https:/fsartori@vcis-gitlab.f4e.europa.eu/aneto/MARTe2.git into
#184 _Smart_Pointer_Base_Infrastructure

Revision e6db1597 - 12.08.2015 12:09 - Filippo Sartori

Merge remote-tracking branch 'origin/#186_Named_Objects' into #184_Smart_Pointer_Base_Infrastructure

Revision c0ba378d - 12.08.2015 12:14 - Riccardo Vitelli
Merge branch '#184_Smart_Pointer_Base_Infrastructure' of https://vcis-gitlab.f4e.europa.eu/aneto/MARTe2 into
#184 _Smart_Pointer_Base_Infrastructure

Revision c41764ab - 12.08.2015 16:02 - Filippo Sartori

Merge branch '#184_Smart_Pointer_Base_Infrastructure' of
https:/fsartori@vcis-gitlab.f4e.europa.eu/aneto/MARTe2.git into
#184_Smart_Pointer_Base_Infrastructure

Conflicts:
Source/Core/LOPortability/Heap.cpp
Source/Core/LOPortability/Heap.h

Revision 8856ef0d - 12.08.2015 16:48 - Giuseppe Ferro

Merge branch '#184_Smart_Pointer_Base_Infrastructure' of https://vcis-gitlab.f4e.europa.eu/aneto/MARTe2.git into
#184_Smart_Pointer_Base_Infrastructure

Revision 165bbfa1 - 13.08.2015 10:33 - Giuseppe Ferro

List of Changes:
-Tests of ClassRegistryDatabase done
#184

Revision 5fedbba9 - 13.08.2015 12:32 - Filippo Sartori

Merge branch '#184_Smart_Pointer_Base_Infrastructure' of
https:/fsartori@vcis-gitlab.f4e.europa.eu/aneto/MARTe2.git into
#184_Smart_Pointer_Base_Infrastructure

Conflicts:
Test/Core/L10bjects/ClassRegistryDatabaseTest.cpp

Revision 37¢18580 - 17.08.2015 14:55 - Giuseppe Ferro

Fixed minor things in template and documentation.
#184

Revision bf506741 - 19.08.2015 15:32 - André Neto

Cosmetic changes to the testing documentation #184.

Revision c359e9a9 - 20.08.2015 11:34 - Giuseppe Ferro

Added GetClassPropertiesCopy test.
#184

Revision 50c595ea - 21.08.2015 10:42 - André Neto

Merge remote-tracking branch 'origin/develop' into #184_Smart_Pointer_Base_Infrastructure

Revision 87d5d7c3 - 21.08.2015 11:16 - André Neto
Merge branch '#186_Named_Objects' into develop

Merged #184 and #186 into develop.

Conflicts:

Source/Core/L10bjects/Object.h
Test/Core/L10bjects/ClassRegistryDatabaseTest.cpp
Test/Core/L10bjects/ObjectTest.cpp
Test/Core/L10bjects/ObjectTest.h
Test/GTest/ObjectGTest.cpp

Revision 5f1ee489 - 21.08.2015 13:11 - Giuseppe Ferro

Minor changes in documentation.
#184

Revision 79fad01a - 22.08.2015 15:32 - André Neto

Merge branch '#184_Smart_Pointer_Base_Infrastructure' of https://vcis-gitlab.f4e.europa.eu/aneto/MARTe2.git into
#184 _Smart_Pointer_Base_|Infrastructure

Revision 21f44270 - 22.08.2015 16:03 - André Neto
Merge branch 'develop' into #184_Smart_Pointer_Base_Infrastructure

History

#1 - 04.08.2015 17:28 - Riccardo Vitelli

- Status changed from New to Code: Impl

#2 - 04.08.2015 17:28 - Riccardo Vitelli

- Assignee set to André Neto

#3 - 11.08.2015 09:40 - André Neto

- Description updated

#4 - 11.08.2015 09:42 - André Neto

- Description updated

#5 - 11.08.2015 09:57 - Riccardo Vitelli
- Status changed from Code: Impl to Code: Rev

#6 - 11.08.2015 09:57 - Riccardo Vitelli
- Assignee deleted (André Neto)

#7 - 11.08.2015 10:06 - Riccardo Vitelli

- Description updated

Corrected duplication in Source File modified.

#8 - 12.08.2015 09:52 - Riccardo Vitelli

- Assignee set to Riccardo Vitelli

#9 - 12.08.2015 12:09 - Riccardo Vitelli

- Description updated

Done Code Review for #d441fe3

#10 - 12.08.2015 12:09 - Riccardo Vitelli
- Status changed from Code: Rev to Unit: Impl

#11 - 12.08.2015 12:09 - Riccardo Vitelli
- Assignee deleted (Riccardo Vitelli)

#12 - 17.08.2015 14:14 - Giuseppe Ferro

Unit tests of:

-Object

-Reference

-ReferenceT

-LinkedListable

-LinkedListHolder (and filters associated)
-ClassProperties

-ClassRegistryltem
-ClassRegistryDatabase

done.

#13 - 17.08.2015 14:52 - Giuseppe Ferro
- Status changed from Unit: Impl to Unit: Rev

#14 - 19.08.2015 11:26 - André Neto

- Assignee set to André Neto

#15 - 19.08.2015 15:40 - André Neto
- Description updated

#16 - 19.08.2015 15:40 - André Neto
- Status changed from Unit: Rev to Unit: Impl

#17 - 19.08.2015 15:40 - André Neto
- Assignee deleted (André Neto)

#18 - 19.08.2015 15:41 - André Neto

- Description updated

#19 - 19.08.2015 15:42 - André Neto

- Description updated

#20 - 19.08.2015 15:44 - André Neto

- Description updated

#21 - 19.08.2015 15:44 - André Neto

- Description updated

#22 - 20.08.2015 11:08 - Giuseppe Ferro

- Assignee set to Giuseppe Ferro

#23 - 20.08.2015 11:33 - Giuseppe Ferro

Note: The following functions are private.
ClassRegistryltem::ClassRegistryltem()
Object Object::Clone() const
ReferenceT<T> ReferenceT<T>::operator&()

#24 - 20.08.2015 15:31 - Giuseppe Ferro
- Status changed from Unit: Impl to Unit: Rev

#25 - 20.08.2015 15:31 - Giuseppe Ferro
- Assignee deleted (Giuseppe Ferro)

#26 - 20.08.2015 21:21 - André Neto

- Description updated

#27 - 20.08.2015 21:23 - André Neto

Unit test revision performed against commit: c359e9a9

#28 - 20.08.2015 21:24 - André Neto

- Assignee set to André Neto

#29 - 20.08.2015 21:25 - André Neto
- Status changed from Unit: Rev to Closed
- Assignee deleted (André Neto)

#30 - 20.08.2015 21:48 - André Neto

- Status changed from Closed to Unit: Rev

#31 - 21.08.2015 10:39 - André Neto

- Description updated

#32 - 21.08.2015 11:30 - André Neto

- Status changed from Unit: Rev to Closed
Merged with develop in commit 87d5d7c3
